1. Johnito's Avatar
    Hello i have a problem with my blackberry, i currently have a blackberry curve 9330 ive been trying to upgrade to the software os6, i currently have the os5, when i try to upgrade it, it tells me that only blackberry service subcribers. Please help me.
    09-25-11 05:32 PM
  2. freethisberrydotcom's Avatar
    Are you trying to upgrade it over the device or desktop software??
    09-25-11 05:55 PM
  3. ichat's Avatar
    Hello i have a problem with my blackberry, i currently have a blackberry curve 9330 ive been trying to upgrade to the software os6, i currently have the os5, when i try to upgrade it, it tells me that only blackberry service subcribers. Please help me.
    Exactly what the error message says. You don't have BIS then you can't upgrade.

    Posted from my CrackBerry at wapforums.crackberry.com
    09-25-11 06:57 PM
  4. SwitchBeach's Avatar
    Use the LOADER.EXE application on your computer to upgrade.
    09-25-11 07:10 PM
  5. nickdalzell1's Avatar
    on mine i do have BIS and Wireless Update, but apparently OS 6 is not yet supported by the Curve 8530 that i use, or may never be. it upgraded to a later version of OS 5 (think of it as akin to a Service Pack) but currently no new updates exist.
    09-25-11 08:10 PM
  6. Alberta Blue's Avatar
    The Curve 8530 is not upgradeable to OS 6.

    The Curve 9330 does support OS 6.
    09-26-11 12:02 AM
LINK TO POST COPIED TO CLIPBOARD